### Function

# GioUnix DesktopAppInfo get_startup_wm_class

since: 2.34

#### Declaration

    const char*
    g_desktop_app_info_get_startup_wm_class (
      GDesktopAppInfo* info
    )

#### Description

Retrieves the StartupWMClass field from `info`. This represents the WM_CLASS property of the main window of the application, if launched through `info`.

Available since: 2.34

#### Parameters

`info`

  Type: `GDesktopAppInfo`

  A `GDesktopAppInfo` that supports startup notify.

  The data is owned by the caller of the function.

#### Return value

Type: `const char*`

The startup WM class, or `NULL` if none is set in the desktop file.

The data is owned by the called function.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.